<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Task 6.1</title>
</head>
<body>
    <form onsubmit="formSubmitHandler()">
        <p></p>
        <label for="name">ФИО:</label>
        <input type="text" id="name" name="name" required>

        <br><p></p>
 
        <label for="sex">Пол:</label>
        <select id="sex" name="sex" size="1" required>
            <option selected>Мужской</option>
            <option>Женский</option>
        </select>

        <br><p></p>
 
        <label for="number">Номер телефона:</label>
        <input id="number" name="number" type="text" pattern="^\+7\d{10}" required>

        <br><p></p>

        <p>Хобби:</p>
 
        <input type="checkbox" id="read" name="read">
        <label for="read">Чтение</label>
        <br>
        <input type="checkbox" id="sport" name="sport">
        <label for="sport">Спорт</label>
        <br>
        <input type="checkbox" id="programming" name="programming">
        <label for="programming">Программирование</label>

        <p>Немного о себе:</p>
        <textarea id="about" name="about" equired></textarea>

        <p>Выберите удобный для вас метод связи:</p>
        <div>
            <input type="radio" id="contactEmail"
            name="contact" value="email" required>
            <label for="contactEmail">Email</label>

            <input type="radio" id="contactPhone"
            name="contact" value="phone">
            <label for="contactPhone">Телефон</label>

            <input type="radio" id="contactSms"
            name="contact" value="sms">
            <label for="contactSms">Смс</label>
        </div>

        <p><input id="btn" type="submit" value="Зарегистрироваться"></p>
    </form>
    <script src="main.js"></script>
</body>
</html>